Rockbox.org home
release
dev builds
extras
themes manual
wiki
device status forums
mailing lists
IRC bugs
patches
dev guide



Rockbox mail archive

Subject: Updating Lua plugin to upstream 5.2.3

Updating Lua plugin to upstream 5.2.3

From: Richard Quirk <richard.quirk_at_gmail.com>
Date: Sun, 23 Mar 2014 18:30:24 +0100

I've updated the Lua plugin code to use the upstream 5.2.3 release.
For comparison, the current code uses Lua 5.1.4.

It's quite a large change, though mostly due to changes in the core
Lua code. I've tried to minimise the differences between Lua upstream
and modifications for Rockbox, while also trying to keep churn between
what we had before and this new version to the strictly necessary.
http://gerrit.rockbox.org/774

I've tested this on a clip zip and in the simulator.

Regards,
Richard
Received on 2014-03-23


Page was last modified "Jan 10 2012" The Rockbox Crew
aaa